#ifdef DEBUG

FILE *debug_share_fopen (char *fname, char *mode, int shflag, int TaskNumber);
FILE *debug_fopen(char *fname, char *mode, int TaskNumber);
int debug_fclose(FILE *fp, int TaskNumber);

void *debug_calloc(size_t x, size_t y, int TaskNumber, char *file, int line);
void *debug_malloc(size_t amount, int TaskNumber, char *file, int line);
void *debug_free(void *p, int TaskNumber, char *file, int line);

#define share_fopen(fn,m,sh) debug_share_fopen(fn,m,sh,TaskNumber)
#define fopen(fn,m)          debug_fopen(fn,m,TaskNumber)
#define fclose(fp)           debug_fclose(fp,TaskNumber)

#define calloc(a,b)          debug_calloc(a,b,TaskNumber,__FILE__,__LINE__)
#define malloc(a)            debug_malloc(a,TaskNumber,__FILE__,__LINE__)
#define free(p)              debug_free(p,TaskNumber,__FILE__,__LINE__)

#endif
