####################################################################
#                                                                  #
#  Make file for BinkleyTerm-OS/2 Version 2.60 XE                  #
#                                                                  #
#  Compiler: CSet/2 2.01                                           #
#                                                                  #
#  use MAKE all                                                    #
#  or  MAKE bt32.exe                                               #
#  or  MAKE btutil32.exe                                           #
#                                                                  #
#  This file is used to build the 32-bit version of the            #
#  software, for use on OS/2 2.x and Warp.                         #
#                                                                  #
####################################################################


SRC_DIR    = ..\src
INCL_DIR   = ..\include
LIB_DIR    = ..\lib

LINKLIBS    = OS2386.LIB
BINKLIBS    = $(LIB_DIR)\maxcomm.lib $(LIB_DIR)\snserver.lib $(LIB_DIR)\mcp32.lib $(LIB_DIR)\sesmgr.lib

# for BT version with snoop and MCP (normal / debug):
OPTFLAGS = /DNEED_SET_PRIOR /DOS_2 /DHYDRADEV /DPROMETER /DBTPE /DOS2SETTITLE /DMAX_MCP /DSnoop
# /DNEED_OS2COMMS

DEBFLAGS = /Ti /Tm+ /Tx+ /O-
WARNFLAGS = /W3 /Wpar /Wpro /Wrea /Wret /Wtru /Wund /Wuse
# WARNFLAGS  = WARNFLAGS = /W3 /Wpar /Wpro /Wrea /Wret /Wtru /Wund /Wuse /Kbcepr 
# LISTFLAGS = /L+ /La+
LISTFLAGS =
CFLAGS_N = /O+ /G3 /Sm /Sp1 /Ss /C /Tl30 /Q $(WARNFLAGS) $(OPTFLAGS) /I $(INCL_DIR) $(LISTFLAGS) 
CFLAGS_D = $(DEBFLAGS) $(CFLAGS_N)

LFLAGS_N = /map /noi /nol /pmtype:vio /align:16 /base:65536 /stack:32768 /exepack
LFLAGS_D = $(LFLAGS_N)

CFLAGS   = $(CFLAGS_N)
LFLAGS   = $(LFLAGS_N)

CC       = ICC
LINK     = LINK386

USEPCH  = /Si
MAKEPCH = /Fi

DEF_H1   = $(INCL_DIR)\com.h $(INCL_DIR)\com_os2.h $(INCL_DIR)\xfer.h
DEF_H2   = $(INCL_DIR)\bink.h $(INCL_DIR)\zmodem.h $(INCL_DIR)\keybd.h
DEF_H3   = $(INCL_DIR)\sbuf.h $(INCL_DIR)\sched.h $(INCL_DIR)\externs.h
DEF_H4   = $(INCL_DIR)\includes.h $(INCL_DIR)\prototyp.h $(INCL_DIR)\keyfncs.h
DEF_H5   = $(INCL_DIR)\squish.h

DEF_H    = $(DEF_H1) $(DEF_H2) $(DEF_H3) $(DEF_H4) $(DEF_H5)

cobj1=BT.OBJ       ASYNC.OBJ    FTSC.OBJ     B_SCRIPT.OBJ SBUF.OBJ
cobj2=BTCONFIG.OBJ BREC.OBJ     B_SEARCH.OBJ B_TODAY.OBJ
cobj3=B_TERMOV.OBJ BSEND.OBJ    B_SESSIO.OBJ B_FAXRCV.OBJ
cobj4=B_BANNER.OBJ B_SPAWN.OBJ  UPLOAD.OBJ   DOWNLOAD.OBJ
cobj5=B_BBS.OBJ    MAILER.OBJ   B_TERM.OBJ   CHAT.OBJ
cobj6=B_FLOFIL.OBJ MAILROOT.OBJ B_WAZOO.OBJ  MAILOVLY.OBJ SQUISH.OBJ
cobj7=B_FRPROC.OBJ MDM_PROC.OBJ B_WHACK.OBJ  SCHED.OBJ
cobj8=B_FUSER.OBJ  MISC.OBJ     B_WZSEND.OBJ TIMER.OBJ
cobj9=B_HELP.OBJ   NODEPROC.OBJ SENDBARK.OBJ VFOSSIL.OBJ
cobja=B_INITVA.OBJ M7REC.OBJ    DATA.OBJ     M7SEND.OBJ   EMSI.OBJ
cobjb=B_PASSWO.OBJ YOOHOO.OBJ   VERSION7.OBJ MAXMCP.OBJ
cobjc=B_PROTO.OBJ  DOSFUNCS.OBJ ZMISC.OBJ    COMMON.OBJ   PROMETER.OBJ
cobjd=B_RSPFIL.OBJ EVTPARSE.OBJ ZRECEIVE.OBJ FREEPOLL.OBJ SRIF.OBJ
cobje=B_SBINIT.OBJ FOSSIL.OBJ   ZSEND.OBJ    VERSION.OBJ  HEAP.OBJ
cobjf=KEYMAP.OBJ   JANUS.OBJ    OUTBOUND.OBJ SENDSYNC.OBJ FILE_DOS.OBJ
cobjg=STATETBL.OBJ XMREC.OBJ    XMSEND.OBJ   LANGLOAD.OBJ CACHE.OBJ
cobjh=RECVBARK.OBJ RECVSYNC.OBJ HYDRA.OBJ    AGLCRC.OBJ   B_LOGS.OBJ

cobjs1=BTUTIL.OBJ COMMON.OBJ

btobjs = $(cobj1) $(cobj2) $(cobj3) $(cobj4) $(cobj5) $(cobj6) $(cobj7) $(cobj8) $(cobj9) $(cobja) $(cobjb) $(cobjc) $(cobjd) $(cobje) $(cobjf) $(cobjg) $(cobjh)
btpch = INCLUDES.OBJ

all: btutil32.exe bt32.exe english.lng startrek.lng deutsch.lng patcheng

clean :
        !del *.obj *.pch *.map *.exe *.lng

patcheng :
        btutil32 lng patch bt32.exe english.lng

bt32.exe:  $(btpch) $(btobjs)
        $(LINK) @<<file.lrf
 $(btobjs: = +^
)
bt32.exe$(LFLAGS)
BT32.MAP
$(LINKLIBS) $(BINKLIBS)
NUL.DEF
<<

bt32dbg.exe:  $(btpch) $(btobjs)
        $(LINK) @<<file.lrf
 /debug $(btobjs: = +^
)
bt32dbg.exe$(LFLAGS)
BT32dbg.MAP
$(LINKLIBS) $(BINKLIBS)
NUL.DEF
<<

btutil32.exe: $(cobjs1)
        $(LINK) $(cobjs1),btutil32.exe$(LFLAGS),NUL.MAP,$(LINKLIBS),NUL.DEF

english.lng: btutil32.exe $(SRC_DIR)\language.txt
 btutil32 lng key E $(SRC_DIR)\language.txt english.lng

startrek.lng: btutil32.exe $(SRC_DIR)\language.txt
 btutil32 lng key S $(SRC_DIR)\language.txt startrek.lng

deutsch.lng: btutil32.exe $(SRC_DIR)\language.txt
 btutil32 lng key G $(SRC_DIR)\language.txt deutsch.lng

$(btpch): $(SRC_DIR)\$*.c $(DEF_H)
        $(CC) $(CFLAGS) $(MAKEPCH) $(SRC_DIR)\$*.c

$(btobjs): $(SRC_DIR)\$*.c $(btpch)
        $(CC) $(CFLAGS) $(USEPCH) $(SRC_DIR)\$*.c

btutil.obj: $(SRC_DIR)\btutil.c $(DEF_H)
        $(CC) $(CFLAGS) $(SRC_DIR)\BTUTIL.C
