#if !defined (_PROMETER_H)
#define _PROMETER_H

/****************************************************************************/
/*  public defines                                                          */
/****************************************************************************/
#define PROMETER_TX_CUR 1                   /*  tx: current file            */
#define PROMETER_TX_MOH 2                   /*  tx: mail on hold for remote */
#define PROMETER_RX_CUR 3                   /*  rx: current file            */
#define PROMETER_RX_MOH 4                   /*  rx: mail on hold for us     */

#define PROMETER_XFER_GOOD  1
#define PROMETER_XFER_FAIL  0

/****************************************************************************/
/*  public prototypes                                                       */
/****************************************************************************/
void prometer_init(void);
void prometer_show(long total, long done, int what);
void prometer_done(void);
void prometer_set_moh(long moh, int what);
void prometer_dec_moh(long l, int what);

#endif                                          /*  !defined (_PROMETER_H)  */
